Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.varia
Class StringMatchFilter

    java.lang.Object
      org.apache.log4j.spi.Filter
          org.apache.log4j.varia.StringMatchFilter

All Implemented Interfaces:
  OptionHandler

    public class StringMatchFilter

extends Filter

This is a very simple filter based on string matching.

The filter admits two options StringToMatch and AcceptOnMatch. If there is a match between the value of the StringToMatch option and the message of the `LoggingEvent`, then the `decide(LoggingEvent)` method returns `Filter.ACCEPT` if the AcceptOnMatch option value is true, if it is false then `Filter.DENY` is returned. If there is no match, `Filter.NEUTRAL` is returned.

Since:
  0.9.0
Author:
  Ceki Gülcü

Field Summary
`static java.lang.String` | `ACCEPT_ON_MATCH_OPTION` Deprecated. Options are now handled using the JavaBeans paradigm. This constant is not longer needed and will be removed in the near term.
`static java.lang.String` | `STRING_TO_MATCH_OPTION` Deprecated. Options are now handled using the JavaBeans paradigm. This constant is not longer needed and will be removed in the near term.

Fields inherited from class org.apache.log4j.spi.Filter
`ACCEPT, DENY, NEUTRAL, next`

Constructor Summary
`StringMatchFilter()`

Method Summary
`int` | `decide(LoggingEvent event)` Returns `Filter.NEUTRAL` is there is no string match.
`boolean` | `getAcceptOnMatch()`
`java.lang.String[]` | `getOptionStrings()` Deprecated. We now use JavaBeans introspection to configure components. Options strings are no longer needed.
`java.lang.String` | `getStringToMatch()`
`void` | `setAcceptOnMatch(boolean acceptOnMatch)`
`void` | `setOption(java.lang.String key, java.lang.String value)` Deprecated. Use the setter method for the option directly instead of the generic `setOption` method.
`void` | `setStringToMatch(java.lang.String s)`

Methods inherited from class org.apache.log4j.spi.Filter
`activateOptions, getNext, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING_TO_MATCH_OPTION

    public static final java.lang.String STRING_TO_MATCH_OPTION

  Deprecated. Options are now handled using the JavaBeans paradigm. This constant is not longer needed and will be removed in the near term.
  See Also:
    Constant Field Values

### ACCEPT_ON_MATCH_OPTION

    public static final java.lang.String ACCEPT_ON_MATCH_OPTION

  Deprecated. Options are now handled using the JavaBeans paradigm. This constant is not longer needed and will be removed in the near term.
  See Also:
    Constant Field Values

Constructor Detail

### StringMatchFilter

    public StringMatchFilter()

Method Detail

### getOptionStrings

    public java.lang.String[] getOptionStrings()

  Deprecated. We now use JavaBeans introspection to configure components. Options strings are no longer needed.

### setOption

    public void setOption(java.lang.String key,
                          java.lang.String value)

  Deprecated. Use the setter method for the option directly instead of the generic `setOption` method.

### setStringToMatch

    public void setStringToMatch(java.lang.String s)

### getStringToMatch

    public java.lang.String getStringToMatch()

### setAcceptOnMatch

    public void setAcceptOnMatch(boolean acceptOnMatch)

### getAcceptOnMatch

    public boolean getAcceptOnMatch()

### decide

    public int decide(LoggingEvent event)

  Returns `Filter.NEUTRAL` is there is no string match.

  Specified by:
    `decide` in class `Filter`
  Parameters:
    `event` - The LoggingEvent to decide upon.
  Returns:
    decision The decision of the filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.